class Face {

public :

	Face(int);
	~Face();

	void addVertexIndex(int);

	void assign(Face &);

	int getMaxNumVertex();
	int getNumVertex();
	int getVertexIndexAt(int);

	int  getLockMem();
	void setLockMem( int iInLockMem );

private:

	void freeMem();

	int *pVertexIndexList;
	int iMaxNumVertex;
	int iNumVertex;

	int iLockMem;
};